import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class WeekButtonPanel extends ButtonPanel {


  public WeekButtonPanel(WeekPanel panel)
  {
    super();
    wkpanel = panel;
  }
  
  public void nextButtonPressed()
  {
    System.out.println("> in Week button panel mouse clicked event \n");
    wkpanel.nextWeek();
  }
  
  public void previousButtonPressed()
  {
    System.out.println("< in week panel pressed");
    wkpanel.previousWeek();
  }
  

  public void currentButtonPressed()
  {

    System.out.println("Current in week panel pressed");
  }

  public void updateButtonPressed()
  {
    System.out.println("update in week panel pressed");
    wkpanel.updateWeekPanel();
  }

  private WeekPanel wkpanel;

}





  




